XmParseTable(3)

NAME
XmParseTable — Data type for a compound string parse table

SYNOPSIS

#include <Xm/Xm.h>

DESCRIPTION

XmParseTable is the data type for an array of parse mappings (objects of type XmParseMapping).

A parse table is used by some routines that parse and unparse compound strings. The table is an ordered list of parse mappings. A parsing routine that uses a parse table scans the input text and searches the parse mappings, in order, for one containing a pattern that matches the input text. The matching parse mapping supplies a compound string to be included in the compound string under construction.

An unparsing routine that uses a parse table searches the parse mappings, in order, for one containing a compound string that matches the input compound string. The unparsing routine can then include the parse mapping's text pattern in the output text under construction.

RELATED

XmParseMapping(3), XmParseTableFree(3), and XmString(3).